package cofh.thermal.expansion.client.gui.machine;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cofh.core.client.gui.IGuiAccess;
import cofh.core.client.gui.element.ElementBase;
import cofh.core.inventory.container.ContainerCoFH;
import cofh.core.util.helpers.GuiHelper;
import cofh.lib.api.block.entity.ITileCallback;
import cofh.lib.api.control.IReconfigurable;
import cofh.thermal.core.client.gui.ThermalGuiHelper;
import cofh.thermal.expansion.inventory.container.machine.MachineRefineryContainer;
import cofh.thermal.lib.block.entity.AugmentableBlockEntity;
import cofh.thermal.lib.client.gui.MachineScreen;
import net.minecraft.network.chat.Component;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.entity.player.Inventory;

public class MachineRefineryScreen extends MachineScreen<MachineRefineryContainer> {
  public static final String TEX_PATH = "thermal:textures/gui/container/refinery.png";
  
  public static final ResourceLocation TEXTURE = new ResourceLocation("thermal:textures/gui/container/refinery.png");
  
  public MachineRefineryScreen(MachineRefineryContainer container, Inventory inv, Component titleIn) {
    super((ContainerCoFH)container, inv, container.tile, titleIn);
    this.texture = TEXTURE;
    this.info = GuiHelper.generatePanelInfo("info.thermal.machine_refinery");
    this.name = "refinery";
  }
  
  public void m_7856_() {
    super.m_7856_();
    addElement((ElementBase)GuiHelper.createLargeOutputSlot((IGuiAccess)this, 107, 35, (IReconfigurable)this.tile));
    addElement((ElementBase)GuiHelper.setClearable(GuiHelper.createSmallInputFluidStorage((IGuiAccess)this, 34, 17, this.tile.getTank(0), (IReconfigurable)this.tile), (ITileCallback)this.tile, 0));
    addElement((ElementBase)GuiHelper.setClearable(GuiHelper.createMediumOutputFluidStorage((IGuiAccess)this, 133, 22, this.tile.getTank(1), (IReconfigurable)this.tile), (ITileCallback)this.tile, 1));
    addElement((ElementBase)GuiHelper.setClearable(GuiHelper.createMediumOutputFluidStorage((IGuiAccess)this, 151, 22, this.tile.getTank(2), (IReconfigurable)this.tile), (ITileCallback)this.tile, 2));
    addElement((ElementBase)ThermalGuiHelper.createDefaultFluidProgress((IGuiAccess)this, 65, 35, "cofh_core:textures/gui/elements/progress_fluid_right.png", (AugmentableBlockEntity)this.tile));
    addElement((ElementBase)ThermalGuiHelper.createDefaultProgress((IGuiAccess)this, 65, 35, "cofh_core:textures/gui/elements/progress_fluid_right.png", (AugmentableBlockEntity)this.tile));
    addElement((ElementBase)ThermalGuiHelper.createDefaultSpeed((IGuiAccess)this, 35, 53, "cofh_core:textures/gui/elements/scale_flame.png", (AugmentableBlockEntity)this.tile));
  }
}
